# (EXPERIMENTAL) Beam Hive Catalog Input

## ![Beam Input Icon](https://github.com/mbertazz/hop-docs-md/blob/main/modules/ROOT/pages/pipeline/assets/images/transforms/icons/beam-input.svg) (EXPERIMENTAL) Beam Hive Catalog Input

| <h3 id="description">Description</h3><p>The Beam Hive Catalog input transform reads data from an Apache Hive metastore.</p> | <h3 id="supported_engines">Supported Engines</h3>                                                                                 |
| --------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------- |
| Warning                                                                                                                     | This transform is in an experimental state, backwards compatibility between versions is not guaranteed                            |
| Hop Engine                                                                                                                  | ![Not Supported](https://github.com/mbertazz/hop-docs-md/blob/main/modules/ROOT/pages/pipeline/assets/images/cross.svg)           |
| Spark                                                                                                                       | ![Supported](https://github.com/mbertazz/hop-docs-md/blob/main/modules/ROOT/pages/pipeline/assets/images/check_mark.svg)          |
| Flink                                                                                                                       | ![Maybe Supported](https://github.com/mbertazz/hop-docs-md/blob/main/modules/ROOT/pages/pipeline/assets/images/question_mark.svg) |
| Dataflow                                                                                                                    | ![Maybe Supported](https://github.com/mbertazz/hop-docs-md/blob/main/modules/ROOT/pages/pipeline/assets/images/question_mark.svg) |

| Hop Engine | ![Not Supported](https://github.com/mbertazz/hop-docs-md/blob/main/modules/ROOT/pages/pipeline/assets/images/cross.svg)           |
| ---------- | --------------------------------------------------------------------------------------------------------------------------------- |
| Spark      | ![Supported](https://github.com/mbertazz/hop-docs-md/blob/main/modules/ROOT/pages/pipeline/assets/images/check_mark.svg)          |
| Flink      | ![Maybe Supported](https://github.com/mbertazz/hop-docs-md/blob/main/modules/ROOT/pages/pipeline/assets/images/question_mark.svg) |
| Dataflow   | ![Maybe Supported](https://github.com/mbertazz/hop-docs-md/blob/main/modules/ROOT/pages/pipeline/assets/images/question_mark.svg) |

| Warning | This transform is in an experimental state, backwards compatibility between versions is not guaranteed |
| ------- | ------------------------------------------------------------------------------------------------------ |

### Options

| Option             | Description                                                                  |
| ------------------ | ---------------------------------------------------------------------------- |
| Transform name     | Name of the transform, this name has to be unique in a single pipeline.      |
| Hive Metastore URI | The Thrift metastore URI needs to be in format `thrift://hivemetastore:9083` |
| Database name      | Database name used in the metastore.                                         |
| Table name         | Table name used in the metastore                                             |

### Limitations

At this point in time this transform is still in an experimental phase.\
It can not yet detect and cast field types, all data is returned in a single string which is separated by the `;` character. Use a [split fields](https://github.com/mbertazz/hop-docs-md/blob/main/modules/ROOT/pages/pipeline/transforms/pipeline/transforms/splitfields.eTmz78djkf) transform to split the data into fields.

Last updated 2025-09-04 18:21:49 +0200


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.primeur.com/data-shaper-1.21/knowing-the-data-shaper-designer/pipelines/transforms/beamhivecataloginput.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
